"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var path = require("path");
var fs = require("fs");
var importFrom = require("import-from");
function resolveExternalModuleAndFn(pointer) {
    if (typeof pointer === 'function') {
        return pointer;
    }
    var patternArr = pointer.split('#');
    var moduleName = patternArr[0];
    var functionName = patternArr[1];
    var localFilePath = path.resolve(process.cwd(), moduleName);
    var localFileExists = fs.existsSync(localFilePath);
    var loadedModule = localFileExists ? require(localFilePath) : importFrom(process.cwd(), moduleName);
    if (!(functionName in loadedModule)) {
        throw new Error(functionName + " couldn't be found in module " + moduleName + "!");
    }
    return loadedModule[functionName];
}
exports.resolveExternalModuleAndFn = resolveExternalModuleAndFn;
//# sourceMappingURL=resolve-external-module-and-fn.js.map